SUBDIRS = ext types

bin_PROGRAMS = jessica

jessica_SOURCES = attrib.h \
		  attrib.c \
		  box.c \
		  color.h \
		  color.c \
		  cone.c \
		  cylinder.c \
		  error.h \
		  error.c \
		  fifo.h \
		  fifo.c \
		  file.h \
		  file.c \
		  geometry.h \
		  geometry.c \
		  group.h \
		  group.c \
		  image.h \
		  image.c \
		  jessica.h \
		  jessica.c \
		  lighting.h \
		  lighting.c \
		  lerp.h \
		  lerp.c \
		  list.h \
		  list.c \
		  loader.h \
		  loader.c \
		  manager.h \
		  manager.c \
		  mat.c \
		  mesh.c \
		  model.h \
		  model.c \
		  network.h \
		  network.c \
		  primitives.h \
		  quat.c \
		  rendering.h \
		  scene.h \
		  scene.c \
		  sensor.h \
		  sensor.c \
		  shading.h \
		  shading.c \
		  shape.c \
		  sphere.c \
		  stack.h \
		  stack.c \
		  text.h \
		  text.c \
		  texture.h \
		  texture.c \
		  ui.h \
		  ui.c \
		  vec.c \
		  view.h \
		  view.c \
		  xml_x3d.h \
		  xml_x3d.c


AM_CFLAGS = -g -std=gnu99 -Wall -Werror @GTK_CFLAGS@ @GTKGLEXT_CFLAGS@ \
	    @LIBPNG_CFLAGS@ @LIBCURL_CFLAGS@ @PANGOCAIRO_CFLAGS@

jessica_LDADD = types/libtypes.a ext/libext.a @GTK_LIBS@ @GTKGLEXT_LIBS@ \
		@LIBPNG_LIBS@ @LIBCURL_LIBS@ @PANGOCAIRO_LIBS@

